MILE ACCUM RATES
*
* This file contains the default MOBILE6 values for the annual mileage
* accumulation rates by vehicle age.  Each set contains 25 values which
* represent the annual mileage accumulation (divided by 100,000) of each
* vehicle age for that vehicle class. The first number is for age 1 (calendar
* year minus model year plus one) and the last number is for age 25.  The
* first number in each distribution is an integer which indicates which of
* the 28 vehicle classes are represented by the mileage accumulation rates.
* The 28 vehicle classes are:
*
*  1  LDGV    Light-Duty Gasoline Vehicles (Passenger Cars)
*  2  LDGT1   Light-Duty Gasoline Trucks 1 (0-6,000 lbs. GVWR, 0-3750 lbs. LVW)
*  3  LDGT2   Light Duty Gasoline Trucks 2 (0-6,001 lbs. GVWR, 3751-5750 lbs. LVW)
*  4  LDGT3   Light Duty Gasoline Trucks 3 (6,001-8500 lbs. GVWR, 0-3750 lbs. LVW)
*  5  LDGT4   Light Duty Gasoline Trucks 4 (6,001-8500 lbs. GVWR, 3751-5750 lbs. LVW)
*  6  HDGV2B  Class 2b Heavy Duty Gasoline Vehicles (8501-10,000 lbs. GVWR)
*  7  HDGV3   Class 3 Heavy Duty Gasoline Vehicles (10,001-14,000 lbs. GVWR)
*  8  HDGV4   Class 4 Heavy Duty Gasoline Vehicles (14,001-16,000 lbs. GVWR)
*  9  HDGV5   Class 5 Heavy Duty Gasoline Vehicles (16,001-19,500 lbs. GVWR)
* 10  HDGV6   Class 6 Heavy Duty Gasoline Vehicles (19,501-26,000 lbs. GVWR)
* 11  HDGV7   Class 7 Heavy Duty Gasoline Vehicles (26,001-33,000 lbs. GVWR)
* 12  HDGV8A  Class 8a Heavy Duty Gasoline Vehicles (33,001-60,000 lbs. GVWR)
* 13  HDGV8B  Class 8b Heavy Duty Gasoline Vehicles (>60,000 lbs. GVWR)
* 14  LDDV    Light Duty Diesel Vehicles (Passenger Cars)
* 15  LDDT12  Light Duty Diesel Trucks 1 (0-6,000 lbs. GVWR)
* 16  HDDV2B  Class 2b Heavy Duty Diesel Vehicles (8501-10,000 lbs. GVWR)
* 17  HDDV3   Class 3 Heavy Duty Diesel Vehicles (10,001-14,000 lbs. GVWR)
* 18  HDDV4   Class 4 Heavy Duty Diesel Vehicles (14,001-16,000 lbs. GVWR)
* 19  HDDV5   Class 5 Heavy Duty Diesel Vehicles (16,001-19,500 lbs. GVWR)
* 20  HDDV6   Class 6 Heavy Duty Diesel Vehicles (19,501-26,000 lbs. GVWR)
* 21  HDDV7   Class 7 Heavy Duty Diesel Vehicles (26,001-33,000 lbs. GVWR)
* 22  HDDV8A  Class 8a Heavy Duty Diesel Vehicles (33,001-60,000 lbs. GVWR)
* 23  HDDV8B  Class 8b Heavy Duty Diesel Vehicles (>60,000 lbs. GVWR)
* 24  MC      Motorcycles (Gasoline)
* 25  HDGB    Gasoline Busses (School, Transit and Urban)
* 26  HDDBT   Diesel Transit and Urban Busses
* 27  HDDBS   Diesel School Busses
* 28  LDDT34  Light Duty Diesel Trucks 1 (6,001-8500 lbs. GVWR)
*
* The 25 age values are arranged in two rows of 10 values followed by a row
* with the last 5 values.  Comments (such as this one) are indicated by
* an asterisk in the first column. Empty rows are ignored.  Values are
* read "free format," meaning any number may appear in any row with as
* many characters as needed (including a decimal) as long as 25 values
* follow the initial integer value separated by a space.
*
* If all 28 vehicle classes do not need to be altered from the default
* values, then only the vehicle classes that need to be changed need to
* be included in this file.  The order in which the vehicle classes are
* read does not matter, however each vehicle class set must contain 25
* values and be in the proper age order.
*
* LDGV
 1 0.14910 0.14174 0.13475 0.12810 0.12178 0.11577 0.11006 0.10463 0.09947 0.09456
   0.08989 0.08546 0.08124 0.07723 0.07342 0.06980 0.06636 0.06308 0.05997 0.05701
   0.05420 0.05152 0.04898 0.04656 0.04427
* LDGT1
 2 0.19496 0.18384 0.17308 0.16267 0.15260 0.14289 0.13352 0.12451 0.11584 0.10752
   0.09955 0.09194 0.08467 0.07775 0.07118 0.06496 0.05909 0.05356 0.04839 0.04357
   0.03909 0.03497 0.03120 0.02777 0.02470
* LDGT2
 3 0.19496 0.18384 0.17308 0.16267 0.15260 0.14289 0.13352 0.12451 0.11584 0.10752
   0.09955 0.09194 0.08467 0.07775 0.07118 0.06496 0.05909 0.05356 0.04839 0.04357
   0.03909 0.03497 0.03120 0.02777 0.02470
* LDGT3
 4 0.21331 0.19865 0.18500 0.17228 0.16044 0.14942 0.13915 0.12959 0.12068 0.11239
   0.10466 0.09747 0.09077 0.08453 0.07872 0.07331 0.06827 0.06358 0.05921 0.05514
   0.05135 0.04782 0.04454 0.04148 0.03863
* LDGT4
 5 0.21331 0.19865 0.18500 0.17228 0.16044 0.14942 0.13915 0.12959 0.12068 0.11239
   0.10466 0.09747 0.09077 0.08453 0.07872 0.07331 0.06827 0.06358 0.05921 0.05514
   0.05135 0.04782 0.04454 0.04148 0.03863
* HDGV2b
 6 0.19977 0.18779 0.17654 0.16596 0.15601 0.14666 0.13787 0.12961 0.12184 0.11454
   0.10768 0.10122 0.09516 0.08946 0.08409 0.07905 0.07432 0.06986 0.06568 0.06174
   0.05804 0.05456 0.05129 0.04822 0.04533
* HDGV3
 7 0.19977 0.18779 0.17654 0.16596 0.15601 0.14666 0.13787 0.12961 0.12184 0.11454
   0.10768 0.10122 0.09516 0.08946 0.08409 0.07905 0.07432 0.06986 0.06568 0.06174
   0.05804 0.05456 0.05129 0.04822 0.04533
* HDGV4
 8 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* HDGV5
 9 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* HDGV6
10 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* HDGV7
11 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* HDGV8a
12 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* HDGV8b
13 0.21394 0.19692 0.14400 0.16683 0.15356 0.14134 0.13010 0.11975 0.11022 0.10145
   0.09338 0.08595 0.07911 0.07282 0.06169 0.06169 0.05679 0.05227 0.04811 0.04428
   0.04076 0.03752 0.03453 0.03178 0.02926
* LDDV
14 0.14910 0.14174 0.13475 0.12810 0.12178 0.11577 0.11006 0.10463 0.09947 0.09456
   0.08989 0.08546 0.08124 0.07723 0.07342 0.06980 0.06636 0.06308 0.05997 0.05701
   0.05420 0.05152 0.04898 0.04656 0.04427
* LDDT12
15 0.27059 0.24384 0.21973 0.19801 0.17843 0.16079 0.14490 0.13057 0.11766 0.10603
   0.09555 0.08610 0.07759 0.06992 0.06301 0.05678 0.05116 0.04610 0.04155 0.03744
   0.03374 0.03040 0.02740 0.02469 0.02225
* HDDV2b
16 0.27137 0.24831 0.22721 0.20791 0.19024 0.17407 0.15928 0.14575 0.13336 0.12203
   0.11166 0.10217 0.09349 0.08555 0.07828 0.07163 0.06554 0.05997 0.05488 0.05021
   0.04595 0.04204 0.03847 0.03520 0.03221
* HDDV3
17 0.32751 0.28984 0.25650 0.22699 0.20088 0.17778 0.15733 0.13923 0.12321 0.10904
   0.09650 0.08540 0.07557 0.06688 0.05919 0.05238 0.04635 0.04102 0.03630 0.03213
   0.02843 0.02516 0.02227 0.01971 0.01744
* HDDV4
18 0.30563 0.28622 0.26805 0.25103 0.23509 0.22016 0.20618 0.19309 0.18083 0.16935
   0.15860 0.14853 0.13910 0.13026 0.12199 0.11425 0.10699 0.10020 0.09384 0.08788
   0.08230 0.07707 0.07218 0.06760 0.06331
* HDDV5
19 0.30563 0.28622 0.26805 0.25103 0.23509 0.22016 0.20618 0.19309 0.18083 0.16935
   0.15860 0.14853 0.13910 0.13026 0.12199 0.11425 0.10699 0.10020 0.09384 0.08788
   0.08230 0.07707 0.07218 0.06760 0.06331
* HDDV6
20 0.40681 0.36872 0.33420 0.30291 0.27455 0.24885 0.22555 0.20443 0.18529 0.16795
   0.15222 0.13797 0.12505 0.11335 0.10273 0.09312 0.08440 0.07650 0.06933 0.06284
   0.05696 0.05163 0.04679 0.04241 0.03844
* HDDV7
21 0.40681 0.36872 0.33420 0.30291 0.27455 0.24885 0.22555 0.20443 0.18529 0.16795
   0.15222 0.13797 0.12505 0.11335 0.10273 0.09312 0.08440 0.07650 0.06933 0.06284
   0.05696 0.05163 0.04679 0.04241 0.03844
* HDDV8a
22 0.87821 0.78257 0.69735 0.62141 0.55374 0.49343 0.43970 0.39181 0.34915 0.31112
   0.27724 0.24705 0.22015 0.19617 0.17481 0.15577 0.13881 0.12369 0.11022 0.09822
   0.08752 0.07799 0.06950 0.06193 0.05518
* HDDV8b
23 1.24208 1.12590 1.02060 0.92514 0.83861 0.76017 0.68907 0.62462 0.56620 0.51324
   0.46523 0.42172 0.38228 0.34652 0.31411 0.28473 0.25810 0.23396 0.21208 0.19224
   0.17426 0.15796 0.14319 0.12979 0.11765
* Motorcycles
24 0.04786 0.04475 0.04164 0.03853 0.03543 0.03232 0.02921 0.02611 0.02300 0.01989
   0.01678 0.01368 0.01368 0.01368 0.01368 0.01368 0.01368 0.01368 0.01368 0.01368
   0.01368 0.01368 0.01368 0.01368 0.01368
* HDGB
25 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939
   0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939
   0.09939 0.09939 0.09939 0.09939 0.09939
* HDDBT
26 0.45171 0.43731 0.42337 0.40987 0.39681 0.38416 0.37191 0.36005 0.34857 0.33746
   0.32670 0.31629 0.30620 0.29644 0.28699 0.27784 0.26898 0.26041 0.25211 0.24407
   0.23629 0.22875 0.22146 0.21440 0.20757
* HDDBS
27 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939
   0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939 0.09939
   0.09939 0.09939 0.09939 0.09939 0.09939
* LDDT34
28 0.26040 0.24018 0.22154 0.20434 0.18848 0.17385 0.16036 0.14791 0.13643 0.12584
   0.11607 0.10706 0.09875 0.09109 0.08402 0.07749 0.07148 0.06593 0.06081 0.05609
   0.05174 0.04772 0.04402 0.04060 0.03745
